# FFmpeg — full-featured multimedia processing toolchain.
{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.profiles.media.ffmpeg;
in {
  options.profiles.media.ffmpeg.enable = mkEnableOption "enable FFmpeg tools";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      amf
      ffmpeg_6-full
      gst_all_1.gstreamer
      gst_all_1.gst-vaapi
      pamixer
      pavucontrol
      qpwgraph
    ];
  };
}
